aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-17 19:41:10 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-17 19:41:10 +0000
commitddd88a022ea1234f1a8819f68f657f03276a3cad (patch)
tree389bebab1055f6a10c59664c5faf58f7a675af86 /x11
parent21440f27176c95bc57b8cf5f508319aa8553a5e3 (diff)
downloadaports-ddd88a022ea1234f1a8819f68f657f03276a3cad.tar.gz
aports-ddd88a022ea1234f1a8819f68f657f03276a3cad.tar.bz2
aports-ddd88a022ea1234f1a8819f68f657f03276a3cad.tar.xz
x11/xchat: new aport
A GTK+ based IRC client http://www.xchat.org/
Diffstat (limited to 'x11')
-rw-r--r--x11/xchat/APKBUILD35
-rw-r--r--x11/xchat/xchat-gtk2.patch12
2 files changed, 47 insertions, 0 deletions
diff --git a/x11/xchat/APKBUILD b/x11/xchat/APKBUILD
new file mode 100644
index 0000000000..320d11f120
--- /dev/null
+++ b/x11/xchat/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xchat
+pkgver=2.8.6
+pkgrel=0
+pkgdesc="A GTK+ based IRC client"
+url="http://www.xchat.org/"
+license="GPL"
+makedepends="gtk+-dev openssl-dev dbus-glib-dev xextproto perl-dev"
+source="http://www.$pkgname.org/files/source/2.8/$pkgname-$pkgver.tar.bz2
+ http://www.$pkgname.org/files/source/2.8/patches/xc286-smallfixes.diff
+ $pkgname-gtk2.patch"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 < ../xc286-smallfixes.diff || return 1
+ patch -p1 < ../xchat-gtk2.patch || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-openssl \
+ --enable-dbus \
+ --disable-gnome \
+ --disable-textfe \
+ --disable-perl \
+ --disable-python \
+ --enable-ipv6 \
+ --enable-shm \
+ --enable-spell=static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="1f2670865d43a23a9abc596dde999aca xchat-2.8.6.tar.bz2
+eb68b6261bf6740cb5f223627eb8f384 xc286-smallfixes.diff
+f3fe00982c0bec93152ed0b32438ef87 xchat-gtk2.patch"
diff --git a/x11/xchat/xchat-gtk2.patch b/x11/xchat/xchat-gtk2.patch
new file mode 100644
index 0000000000..4e13a2cf5d
--- /dev/null
+++ b/x11/xchat/xchat-gtk2.patch
@@ -0,0 +1,12 @@
+--- xchat-2.8.6/src/fe-gtk/xtext.h.orig 2008-02-24
+05:48:02.000000000 +0100
++++ xchat-2.8.6/src/fe-gtk/xtext.h 2008-09-06
+02:18:39.000000000 +0200
+@@ -270,6 +270,6 @@
+ xtext_buffer *gtk_xtext_buffer_new (GtkXText *xtext);
+ void gtk_xtext_buffer_free (xtext_buffer *buf);
+ void gtk_xtext_buffer_show (GtkXText *xtext, xtext_buffer *buf, int render);
+-GtkType gtk_xtext_get_type (void);
++GType gtk_xtext_get_type (void);
+
+ #endif